diff -Nur kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfbdrv.c kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfbdrv.c
--- kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfbdrv.c	2005-07-31 18:43:07 +0300
+++ kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfbdrv.c	2005-07-31 21:43:30 +0300
@@ -1,7 +1,7 @@
 /*
  * intelfb
  *
- * Linux framebuffer driver for Intel(R) 830M/845G/852GM/855GM/865G/915G
+ * Linux framebuffer driver for Intel(R) 830M/845G/852GM/855GM/865G/915G/915GM
  * integrated graphics chips.
  *
  * Copyright  2002, 2003 David Dawes <dawes@xfree86.org>
@@ -190,6 +190,7 @@
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_85XGM, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_85XGM },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_865G, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_865G },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_915G, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_915G },
+	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_915GM, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_915GM },
 	{ 0, }
 };
 
@@ -549,7 +550,7 @@
 	}
 
 	/* Set base addresses. */
-	if (ent->device == PCI_DEVICE_ID_INTEL_915G) {
+	if ((ent->device == PCI_DEVICE_ID_INTEL_915G) || (ent->device == PCI_DEVICE_ID_INTEL_915GM)) {
 		aperture_bar = 2;
 		mmio_bar = 0;
 		/* Disable HW cursor on 915G (not implemented yet) */
diff -Nur kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfb.h kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfb.h
--- kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfb.h	2005-06-17 22:48:29 +0300
+++ kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfb.h	2005-07-31 21:36:06 +0300
@@ -10,7 +10,7 @@
 /*** Version/name ***/
 #define INTELFB_VERSION			"0.9.2"
 #define INTELFB_MODULE_NAME		"intelfb"
-#define SUPPORTED_CHIPSETS		"830M/845G/852GM/855GM/865G/915G"
+#define SUPPORTED_CHIPSETS		"830M/845G/852GM/855GM/865G/915G/915GM"
 
 
 /*** Debug/feature defines ***/
@@ -47,6 +47,7 @@
 #define PCI_DEVICE_ID_INTEL_85XGM	0x3582
 #define PCI_DEVICE_ID_INTEL_865G	0x2572
 #define PCI_DEVICE_ID_INTEL_915G	0x2582
+#define PCI_DEVICE_ID_INTEL_915GM	0x2592
 
 /* Size of MMIO region */
 #define INTEL_REG_SIZE			0x80000
@@ -119,7 +120,8 @@
 	INTEL_855GM,
 	INTEL_855GME,
 	INTEL_865G,
-	INTEL_915G
+	INTEL_915G,
+	INTEL_915GM
 };
 
 struct intelfb_hwstate {
diff -Nur kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfbhw.c kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfbhw.c
--- kernel-image-std26-up-2.6.12-alt1.orig/kernel-source-2.6.12/drivers/video/intelfb/intelfbhw.c	2005-06-17 22:48:29 +0300
+++ kernel-image-std26-up-2.6.12-alt1/kernel-source-2.6.12/drivers/video/intelfb/intelfbhw.c	2005-07-31 21:47:23 +0300
@@ -103,6 +103,11 @@
 		*chipset = INTEL_915G;
 		*mobile = 0;
 		return 0;
+	case PCI_DEVICE_ID_INTEL_915GM:
+		*name = "Intel(R) 915GM";
+		*chipset = INTEL_915GM;
+		*mobile = 1;
+		return 0;
 	default:
 		return 1;
 	}
